export declare type InlineNode = string | {
    type: 'quote';
    unit: {
        content: string;
        tag: string;
        whole: string;
    };
} | {
    type: 'hashTag';
    unit: {
        content: string;
        page: string;
        tag: '#';
        whole: string;
    };
} | {
    type: 'strong';
    unit: {
        content: string;
        whole: string;
    };
} | {
    type: 'deco';
    unit: {
        content: string;
        deco: string;
        italic: boolean;
        strike: boolean;
        underline: boolean;
        strong: number;
        whole: string;
    };
} | {
    type: 'deco-formula';
    unit: {
        content: string;
        formula: string;
        whole: string;
    };
} | {
    type: 'icon';
    unit: {
        content: string;
        project: string;
        page: string;
        size: 1;
        whole: string;
    };
} | {
    type: 'code';
    unit: {
        content: string;
        whole: string;
    };
} | {
    type: 'link';
    unit: {
        content: string;
        page: string;
        whole: string;
    };
};
export declare const parseInlineText: (text: string) => InlineNode | InlineNode[];
